AOZ Studio Beta - Bug #20

Bob Col(1) not doing anything
01/18/2020 11:27 AM - Baptiste Pillot

Status: Closed Start date: 01/18/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.7

Affected version: 0.9.2.6

Description

Related issues:
Has duplicate AOZ Studio Beta - Bug #263: Sprite Col Bob Col Closed

02/28/2020

History

#1 - 01/18/2020 11:29 AM - Baptiste Pillot
- Assignee set to Francois Lionet

- Affected version set to 0.9.2.6

In the little shoot-em-up | program | try to detect collisions and tell it to the console of the browser :
https://www.amos2.fr/ide/Amos2/lde/Program/408

if Bob Col(l) Then { console.log("boom"); }

The program compiles and runs, but | got no collision message when something touches my spaceship.
https://www.amos2.fr/run/tickleman/seu-bob/

#2 - 02/24/2020 09:20 PM - Anonymous
Tested Help_74 from the AMOSPro Discs Tutorial : Bob Col(1) do not work here.

e To run the program, | commented the lines 166 and 167 that do not compile (Set Rainbow and Fade).
e The code compiles, but crashes with a "Magician Meditation" : Internal error at line: 186, columns: 4.
L]
L]

The js error : "Cannot read property 'bobCol' of undefined into aoz.js line 417.
The line 186 is the one that contains If Bob Col(1)

#3 - 02/29/2020 08:28 AM - Baptiste Pillot
- Related to Bug #263: Sprite Col Bob Col added

#4 - 02/29/2020 08:28 AM - Baptiste Pillot
- Related to deleted (Bug #263: Sprite Col Bob Col)

#5 - 02/29/2020 08:28 AM - Baptiste Pillot
- Has duplicate Bug #263: Sprite Col Bob Col added

#6 - 03/07/2020 06:20 PM - Francois Lionet
- Status changed from New to Feedback

- Target version set to 0.9.7

Bob Col problem is corrected, but remains several problems when loading a sample bank. They will be corrected later.

#7 - 03/10/2020 07:43 PM - Baptiste Pillot

- Status changed from Feedback to Resolved

Re-tested with a little program (and a little image file resources/images/1.png) :
https://www.amos2.fr/ide/Amos2/Ide/Program/408
https://www.amos2.fr/run/tickleman/seu-bob/

#splashScreen:false

Bob 1, 20, 20, 1

Bob 2, 24, 24, 1

Bob 3, 100, 100, 1

Print Bob Col(l) ' true
Print Bob Col(3) ' false

Seems goods. | close.

The samble bank problem is a case for another issue.

#8 - 03/10/2020 07:43 PM - Baptiste Pillot

- Status changed from Resolved to Closed
